<template>
  <div class="member-task-list">
    <NewTaskList
      @draft-todos="emitDraftTodos"
      :member="member"
    />
    <ExistingTaskList
      :todos="todos"
    />
  </div>
</template>

<script>
import ExistingTaskList from './ExistingTaskList.vue';
import NewTaskList from './NewTaskList.vue';

export default {
  name: 'MemberTaskList',
  emits: ['draftTodos'],
  props: {
    member: {
      type: Object,
      required: true,
    },
    todos: {
      type: Array,
      required: true,
    },
  },
  components: {
    ExistingTaskList,
    NewTaskList,
  },
  methods: {
    emitDraftTodos($e) {
      this.$emit('draftTodos', $e);
    },
  },

};
</script>
